/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2010-2013
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2010-2013
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file SimpleAPI.h
 *       prototypes for simple API calls of the simple weaver test.
 *
 *  @date 25.08.2010
 *  @author Tobias Hilbrich
 */

#ifndef GTI_TEST_SIMPLE_API_H
#define GTI_TEST_SIMPLE_API_H

extern "C" int test1 (int count, int* sizes, float f);

extern "C" int Ptest1 (int count, int* sizes, float f);

extern "C" int newSize (int size);

extern "C" int PnewSize (int size);

extern "C" int shutdown (void);

extern "C" int Pshutdown (void);

int PreducedFloatSum (float fSum) {return 0;}

#endif /*GTI_TEST_SIMPLE_API_H*/
