/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2010-2013
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2010-2013
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file api.h
 *       header with wrapp everywhere P call for reduction.
 *
 *  @date 25.12.2010
 *  @author Tobias Hilbrich
 */

#ifndef GTI_REDUCTION_TEST_API_H
#define GTI_REDUCTION_TEST_API_H

/**
 * Wrapp everywhere function P call for test.
 */
int PreducedFloatSum (float fSum) {return 0;}

#endif /*GTI_REDUCTION_TEST_API_H*/
